Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumSource

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumSource

Direct Known Subclasses:
  `TdApi.PremiumSourceFeature`, `TdApi.PremiumSourceLimitExceeded`, `TdApi.PremiumSourceLink`, `TdApi.PremiumSourceSettings`, `TdApi.PremiumSourceStoryFeature`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PremiumSource extends TdApi.Object permits TdApi.PremiumSourceLimitExceeded, TdApi.PremiumSourceFeature, TdApi.PremiumSourceStoryFeature, TdApi.PremiumSourceLink, TdApi.PremiumSourceSettings
This class is an abstract base class. Describes a source from which the Premium features screen is opened.

## Constructor Summary

Constructors
Constructor
Description
`PremiumSource()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PremiumSource

public PremiumSource()
Default class constructor.